/* === Page: Login (Postcard) === */

.page {
  background-image: url(../../img/background-pattern.jpg);
}

.content {
  min-height: 100vh;
}

.postcard {
  width: 900px;
  aspect-ratio: 16/9;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 40px 0;
  border-radius: 4px;
  background-color: var(--white);
  background-image: url(../../img/background-paper.jpg);
  background-size: 500px auto;
  background-repeat: repeat;
  filter: drop-shadow(2px 4px 6px rgba(98, 64, 64, 0.2));
}

.postcard__column {
  width: 100%;
  padding: 0 40px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: 20px;
}

.postcard__column--1 {
  border-right: 1px solid var(--maroon);
}

.postcard__logo {
  height: 140px;
}

.postcard__stamp {
  width: 100px;
  height: 130px;
  position: absolute;
  top: 28px;
  right: 28px;
  background-color: var(--buganvilla);
  background-image: url(../../img/stamp.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  box-sizing: content-box;
  filter: drop-shadow(0px 1px 1px rgba(0, 0, 0, 0.2));
}

.postcard__stamp::after {
  content: url(../../img/stamp-border.png);
  width: 116px;
  height: 146px;
  position: absolute;
  top: -8px;
  left: -8px;
}

@media (max-width: 900px) {
  .postcard {
    width: 700px;
    aspect-ratio: 7/5;
  }

  .postcard__logo {
    height: 80px;
  }

  .postcard__stamp {
    transform: scale(0.8);
    transform-origin: top right;
  }
}

@media (max-width: 700px) {
  .container {
    padding: 20px;
    width: auto;
    height: auto;
  }

  .postcard {
    max-width: unset;
    width: 100%;
    aspect-ratio: unset;
    flex-direction: column;
    gap: 40px;
    padding: 80px 0;
  }

  .postcard__logo {
    height: 100px;
  }

  .postcard__stamp {
    transform: scale(0.7);
    transform-origin: top right;
  }

  .postcard__column {
    padding: 0 20px;
  }

  .postcard__column--1 {
    border-right: none;
  }
}